blob_id stringlengths 40 40 | length_bytes int64 7 488k | source stringlengths 7 488k |
|---|---|---|
2651ad176d72c946e27c8bbee3b87298bff0d37c | 1,119 | #!/bin/sh
cd .
timestamp() {
date +"at %H:%M:%S on %d/%m/%Y"
}
temp=$(echo git branch --show-current)
echo $temp
#eval x=($temp == "backup")
#echo $x
if [$temp == "backup"]
then
echo "error"
exit -1
fi
echo "mowsi"
git show-ref --verify --quiet refs/heads/backup
if [$? == 0]
then
printf "NOT EXISTS\n"
git ... |
d2ce7dd3f1af090aec9c22502e937bbc50bb85df | 1,544 | #!/bin/bash
check_server_started() {
local retry_counter=0
while true;
do
echo "INFO: Checking if server started (retry counter=${retry_counter})"
grep "Web application available" /logs/messages.log &> /dev/null
local web_app_started=$?
... |
f2d3eb729853110fe7a20746f69b3a4825260bdd | 2,518 | #!/bin/bash
BROCCOLI_GIT_DIRECTORY=`git rev-parse --show-toplevel`
cd $BROCCOLI_GIT_DIRECTORY/code/BROCCOLI_LIB
# Change release to debug for library
sed -i '' 's/COMPILATION=$RELEASE/COMPILATION=$DEBUG/g' $BROCCOLI_GIT_DIRECTORY/code/BROCCOLI_LIB/compile_broccoli_library_mac.sh
# Compile library
./compile_broccoli... |
18f282715b290fe658fbefae25e4feaa97249b2b | 280 | #!/bin/bash
set -e
set -x
dump=` ls -t /mnt/data/live/home/backup/forum/*sql.bz2 | head -n 1`
[ -f $dump ] || exit -1
mysql -uroot -pmysql -e 'DROP DATABASE forum' mysql
mysql -uroot -pmysql -e 'CREATE DATABASE forum' mysql
pv $dump | bunzip2 | mysql -uforum -pforum forum
|
240bab42787a3502df9238050a7cfc278eb70b97 | 558 | #!/bin/sh
# @(#) $Id: makebyteorder.sh,v 1.1 2003/01/12 19:30:31 alex Exp $
if test -f /usr/include/machine/endian.h
then
byteorder=`grep BYTE_ /usr/include/machine/endian.h`
elif test -f /usr/include/bits/endian.h
then
byteorder=`grep BYTE_ /usr/include/bits/endian.h`
fi
case "${byteorder}" in
*BIG*) ech... |
9f9ead40b2bf41c86f8af8498b1f57c9d7080063 | 2,519 | #!/bin/bash
set -Eeo pipefail
version=1.12.2
echo "$version" > "$YAK_WORKSPACE/version"
cd "$YAK_WORKSPACE"
# TODO: Break out depot_tools into its own package
git clone https://chromium.googlesource.com/chromium/tools/depot_tools.git
export PATH="$PATH:$YAK_WORKSPACE/depot_tools"
# Point depot_tools at python2.7 :[
#... |
44394e6f7c662130f2b632adc4b3d70570d841a8 | 486 | #!/bin/bash
BASEDIR=$(dirname $BASH_SOURCE)
if [ ! -f fdisk-a.txt ]; then
echo "ERROR. no fdisk setup files available"
exit 1
fi
# fdisk. create partition layouts
fdisk /dev/sda < ./fdisk-a.txt
fdisk /dev/sdb < ./fdisk-b.txt
# md
mdadm --create /dev/md0 -n2 -l0 /dev/sda3 /dev/sdb2
mkfs.ext4 -v -E stride=128... |
2fc6e7fbf2c861885d6c38bf0594095a40218226 | 328 | #!/bin/bash
# ****** Ravi Nori
# ****** 12/11/2020
# ****** Purpose: create a client socket
import socket
import time
# connect to the listener
s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
s.connect(("127.0.0.1", 1424))
time.sleep(30)
# test host/port
print("you are connecting to {}:{}".format(host, port))
s.... |
22f63d597e54995a5d7c1a0941964e8f8e7b0740 | 1,752 | #!/bin/bash
: ${RCSID:=$Id: - @VERSION@ @DATE@ @TIME@ - $}
: ${PROGRAM_TITLE:="Adjust the dir layout as the specified"}
: ${PROGRAM_SYNTAX:="[OPTIONS] [--] ..."}
. shlib-import cliboot
option --dry-run "Only show what to do"
option -q --quiet
option -v --verbose
option -h --help
... |
2e36d57e9b392037a6df5663bff48fa8efbb0064 | 57 | ../eclipse_x86/eclipse -data . -vm ../jdk_x86/bin/java &
|
92af732a85bcb9b7925e71b729efaa5f5a3dca39 | 1,518 | #!/bin/bash
dub build
./dash-admin addMachine example_machine "A dummy machine used for testing."
./dash-admin addCompiler ldc_master "LDC, the LLVM-based D compiler (Git master)." '{"name": "Official LDC GitHub repository", "type": 0, "config": {"owner": "ldc-developers", "project": "ldc", "branch": "master"}}' ldcG... |
4b8177e594cb0c21e824fb306b81b1f8d0581c87 | 113 | #!/bin/bash
if [ ! -d "refdb" ]; then
git clone https://github.com/percyliang/refdb
fi
cd refdb
git pull
cd ..
|
b006f733cc911d92cb9d5191292b005c246f2399 | 539 | #!/bin/bash
# sphinx indexer script
############################
/usr/local/bin/indexer products_delta --rotate --quiet --noprogress
/usr/local/bin/indexer --merge products products_delta --rotate --quiet --noprogress
/usr/local/bin/indexer --merge-killlists products --rotate --quiet --noprogress
/usr/local/bin/index... |
44b69f98f895ce937ea67e569db9d2f81716b5f4 | 364 | #!/bin/bash
#Script untuk menghapus user SSH & OpenVPN
read -p "ชื่อผู้ใช้ SSH จะถูกลบออก : " Pengguna
if getent passwd $Pengguna > /dev/null 2>&1; then
userdel $Pengguna
echo -e "User $Pengguna ถูกลบแล้ว"
else
echo -e "GAGAL: User $Pengguna ลบไม่สำเร็จ"
fi
|
247c5e8155ef05b015564e7b45b9dbc18a2578d7 | 39 |
p_app_id=
p_key=
p_secret=
p_cluster=
|
cf727a4755ca1edce72138298ca8284026866cfc | 413 | #Command to create the all
bin/mallet import-dir --input ~/projects/samson/ams/textMining/data/ --output ams.mallet --keep-sequence --remove-stopwords
#command to create the topic and output the key and the given map
bin/mallet train-topics --input ams.mallet --num-topics 20 --output-state topic-state.gz --output-topi... |
bcd4faabf0a5c66f2833db62ae9f3e7b75f9c5ef | 598 | #!/bin/bash
VAR_FILE="./data/var.sh"
ZSH_FILE="./data/.zshbackup"
echo "Getting formulae..."
BREW=$(brew list)
echo "Getting casks..."
BREW_CASKS=$(brew cask list)
echo "Getting code extensions..."
VSC_EXT=$(code --list-extensions)
{
printf "#!/bin/bash\n\n"
printf "BREW=(%s)\n\n" "$BREW"
printf "BREW_... |
a719d8bb3cd2d8eefa6f219407ae72f8edec688e | 2,047 | #!/bin/bash
# LGSM logs.sh function
# Author: Daniel Gibbs
# Website: http://gameservermanagers.com
# Description: Acts as a log rotater, removing old logs.
local modulename="Log Manager"
if [ -n "${consolelog}" ]; then
if [ ! -e "${consolelog}" ]; then
touch "${consolelog}"
fi
fi
# log manager will active if fi... |
31a21435b70d3fedc5588b886afc6cb0920b4a4b | 2,092 | #!/usr/bin/env bash
# Copyright (C) 2019 - 2021 by Pedro Mendes, Rector and Visitors of the
# University of Virginia, University of Heidelberg, and University
# of Connecticut School of Medicine.
# All rights reserved.
# Copyright (C) 2017 - 2018 by Pedro Mendes, Virginia Tech Intellectual
# Properties, Inc., Uni... |
84ed3a372e7cdf148039bea821eab611bb8d20d1 | 890 | #!/bin/bash
npm update
VERSION=$(node --eval "console.log(require('./package.json').version);")
ME=$(node --eval "console.log(require('./package.json').name);")
npm test || exit 1
echo "Ready to publish ${ME} version $VERSION."
echo "Has the version number been bumped?"
read -n1 -r -p "Press Ctrl+C to cancel, or an... |
b9fe9a7ec831737af23c973a37c558b0e407b4dc | 75 | #!/usr/bin/env bash
# shows lines containing bash
ps -aux -f | grep "bash"
|
828dde5f5c8b51586b93a069771bb78e01ae3829 | 853 | #!/bin/bash
# USE THE CORRECT PCIE ADDRESSES OR THIS WILL CRASH YOUR SYSTEM
# run this script with both the huge page version of ixy and the normal one. compare results.
kill $(pidof ixy-fwd)
# fixme: cleanup
cd /home/paul/ixy-git
for i in 64 128 256 512 1024 2048 4096
do
echo "Running test for ring size $i"
sed ... |
a65efc3eb826cd3636ca25e90e493eee1de05882 | 796 | #!/bin/bash
echo Running as `whoami`
echo Waiting for portal-api...
node node_modules/portal-env/await.js http://portal-api:3001/ping
echo Ping returned 200 for portal-api
echo Waiting for portal-kong-adapter...
node node_modules/portal-env/await.js http://portal-kong-adapter:3002/ping
echo Ping returned 200 for port... |
7e0c1c813c0c6ad55e0a129934737766e96ea758 | 1,200 | #!/bin/sh
if test "x$srcdir" = x ; then srcdir=`pwd`; fi
. ../test_common.sh
set -e
# Test chunking code
# Control which test sets are executed
# possible sets: proj walk
TESTS=proj
# Functions
testproj() {
# Do a single output file
file="ut_proj.txt"
rm -f $file
CMD="${execdir}/ut_projections${ext}"
$C... |
47686e7f51a19dff0608893c096d808892d016a1 | 4,795 | #!/usr/bin/sudo /bin/bash
SCRIPT=`realpath -s $0`
SCRIPTPATH=`dirname $SCRIPT`
STARTPWD=$PWD
GIT_URL='https://github.com/ziertek/PiLight'
# Define colors and styles
NORMAL="\033[0m"
BOLD="\033[1m"
GREEN="\e[32m"
RED="\e[31m"
YELLOW="\e[93m"
show_msg() {
echo -e $1 > /dev/tty
}
usage() {
echo -e "${BOLD}Usage... |
70f4160976aafc2af57bd9334cbac31406b29c82 | 113 | #!/bin/bash
set -e
git clone https://github.com/n0ts/dotfiles.git ~/.env
cwd=$(pwd)
cd ~/.env
make
cd $pwd
|
cd4e5da569fddfcce9ddca1e2f47014bedb7564a | 349 | #!/bin/bash
declare -a languages=("de" "fr" "it" "en")
declare -a features=("mfcc" "mel" "pow")
for feature_type in "${features[@]}"
do
for lang in "${languages[@]}"
do
echo "training on ${features} features of speech segments with language=${lang}"
python ./src/train_brnn.py -c rl -l $lang -... |
67d24a6c9151743890f074c4f69a46d403253cae | 287 | PORT=3000
JWT_SECRET=azBel11040037292011@Isaac_5539614042
VALID_SPECIALTOKEN=authResetPwdUser_NLRA7
GOOGLE_ID=331710987668-moju7h7te2ji086tf53or5qjl2gp4ivr.apps.googleusercontent.com
GOOGLE-SECRET=8GKnEO4EYmK0erGMdkzry6YY
EMAIL_SMTP=azbel.apps@gmail.com
PASS_SMTP=azbel110400 |
676c78e6412d5ba80d8b8ea46b3bd577bcb8fade | 399 | #!/usr/bin/env bash
echo "USAGE: ./build_map.sh [input file] [distance] "
echo "EXAMPLE: ./build_map.sh data/singapore_muiti_store_parking.json 1000"
mvn package
python3 src/main/python/mapbuilder/reduce.py $1 result.json $2
java -cp target/SimulationUAV-1.0-SNAPSHOT.jar mapbuilder.Triangulate result.json
# TODO add... |
6407c914bdf0b0a585e82364278c708925d8743d | 2,240 | #### COLOUR
tm_icon="♟"
tm_color_active=colour213
tm_color_inactive=colour241
tm_color_feature=colour4
tm_color_music=colour203
# separators
tm_separator_left_bold="◀"
tm_separator_left_thin="❮"
tm_separator_right_bold="▶"
tm_separator_right_thin="❯"
set -g status-left-length 32
set -g status-right-length 150
set -g... |
5f247957026f1b69e57154b3597984f05607cfe7 | 771 | #!/bin/bash
set -e
DEST_TEST_DIR=/opt/azurehpc/test
mkdir -p $DEST_TEST_DIR
cp $TEST_DIR/run-tests.sh $DEST_TEST_DIR
#Test if nvcc is installed and if so install gpu-copy test.
if test -f "/usr/local/cuda/bin/nvcc"; then
#Compile the gpu-copy benchmark.
NVCC=/usr/local/cuda/bin/nvcc
cufile="$TEST_DIR/health_chec... |
6248bb13c5fde12d7ee1bffdf67fa82c555208ff | 152 | #!/bin/bash
# Change permissions it can.
chown -R nodeU:nodeU /var/www/vhosts
echo -e "\n\nChanging filesystem ownership for nodejs host directory.\n"
|
2333bde92d1f766d400437231cd0869c349f5789 | 58 | #!/bin/bash
d=`date '+moodle_%Y-%m-%d_%H-%M-%S'`
echo $d
|
4dd29fbe7f8c33e208614149dcc7774944e38120 | 198 | #!/bin/bash
$HOME/julia-1.5/bin/julia --project=@. --track-allocation=user -e '
using Profile
using RayTraceGR
@time RayTraceGR.example2()
Profile.clear_malloc_data()
@time RayTraceGR.example2()
'
|
6bee584b9f01ad9c0383a9f192e5f07ba271f855 | 1,403 | #!/bin/bash
# Script by clarsen-007 @ https://github.com/clarsen-007
# Version: 00.01.00.00
# Purpose of script: "Pings", "Tests" for open ports...
if [ -z "$1" ]
then
echo -e " \n "
echo -e " No argument supplied \n "
echo -e " -- type -h for HELP!! \n "
echo -e " \n "
else
if [ "$1"... |
6d7127e0f2bc93d2f7a11ec0c9dd272d89ebe721 | 1,439 | #!/usr/bin/env zsh
hadd="../../../../../../img/tools/hadd"
outfile="M1-spectra-raw.root"
phII_file="/home/gipert/code/gerda/gerda-fitter/results/phII-raw-global_light_blocks/gerda-fitter-phII-raw-global_light_blocks-histograms.root:gerda_data_bkgmodel_phaseII_v07_01_orig_raw_M1_"
rm -f ${outfile}
eval ${hadd} ${ph... |
69c9e4112f648d0e8a7b000b508470ad78abcb96 | 364 | #!/bin/bash
#The databases and tables on remotes servers will follow the local name configuration
#DBUSERDST need to have same permissions described on portability.conf for DBUser.
#Server IP
DESTSERVER[0]="192.168.0.1"
#DB Server Port
PORTDESTSERVER[0]="3306"
#DB Server User
DBUSERDST[0]="test"
#BD Server passw... |
34329caaeb98c28ce0539715cd64955b0fb2a8a4 | 1,783 | #!/bin/bash
port=5022
learnit_root=/nfs/ld100/u10/bmin/repositories/learnit.master/
# /home/hqiu/ld100/CauseEx-pipeline-WM/learnit
# require cd to learnit directory to have "static" sub-directory for UI
cd $learnit_root
## WM starter
#sjson=/nfs/mercury-04/u41/learnit/WM_starter/source_mappings/all_event_event_pair... |
c94e6e7bdbb81c53ecf69599650cad665829d994 | 174 | #!/bin/bash
RANDFILENAME=$(pwgen -s 13 1)
FILENAME="$HOME/Uploader/Screenshots/$RANDFILENAME.png"
scrot -s $FILENAME -e "screenshot-complete.sh $RANDFILENAME.png $FILENAME"
|
73d38b15f51d27694c499b4b34b4b6bbea66f5ca | 190 | #!/usr/bin/env bash
# Build and deploy!
exec docker \
run --rm \
-v "${PWD}:/pd_app" -w /pd_app \
--env-file .pd/.env \
lambci/lambda:build-python3.8 ./.pd/_build_deploy.sh
|
a5615bf287d38f8b40db8c2fdfa4882c6e8cda7e | 6,038 | #!/bin/sh
# Requirements: zenity (optional), notify-send (optional)
#
confirm=1
force_no_x=0
me="${0##*/}"
while [ "${1+defined}" ]; do
case "$1" in
-n | --no-confirm ) confirm=0 ;;
-x | --no-x ) force_no_x=1 ;;
-c | --config ) shift ; cfg="$1" ;;
-h | --help )
echo "Usage: $m... |
5836b1604fc097fed8d6636e4dde84202e7888a2 | 609 | #!/bin/bash
# Copyright 2015-2019 Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
# Create a manpage using txt2man command.
#
# This script can be used under BSD-3-Clause license.
TEST=$(txt2man -h 2> /dev/null)
[ "$TEST" ] || { echo -e "\nYou need to install txt2man, from https://github.com/mvertes/txt2man.\n"; ... |
e4fb9070a540af22757ac415e2271d617e7397c5 | 120 | #!/bin/sh
./abmakev.pl 306 301-test.tmpl /home/sites/iwtucson/www/test/out.php
echo "http://btucson.com/test/out.php"
|
40359d40863734ec6e73f97f177d5c57c3837f36 | 71 | git add --all
git commit -m "Fix bug"
git push product master
git push
|
c402cda2b52a97d220d11b2a2527b189f07b6a05 | 761 | #!/usr/bin/env bash
infile=$1;
outfile=$2
#The first column of input file is the videoid.
awk '{print $1}' $infile > videoid.txt
# The second and third columns contain chapter and lecture numbers.
awk '{print $2 " " $3} ' $infile > chapcol.txt
awk '{$1=$2=$3=""; print $0}' $infile > description.txt
# now put the fir... |
8ed19b436b51a1c7ab83fbaff54b5c4fd4477559 | 98 | #! /usr/bin/env zsh
~/.i3blocks-scripts/i3blocks-contrib/bandwidth/bandwidth -i ' ' -o ' '
|
cb6263592df49b4fc67b7d62628b55b80c2e4232 | 246 | #!/bin/bash
l=0
n=0
s=0
touch counterResult
FILES=./*.csv
for f in $FILES
do
$f >> counterResult
wc -w $f >> counterResult
n=$[ $n + 1 ]
s=$[ $s + $l ]
done
echo "$n files in total, with $s lines in total"
#!/bin/bash
|
44be5fae9c983adf4fa63756e301e1870696007a | 182 | cp kaiser/src/main/resources/sartography_application.properties kaiser/src/main/resources/application.properties
./gradlew kaiser:war
cp kaiser/build/libs/kaiser-0.0.1.war kaiser.war |
f18443c7207430a084550bc5a1eb3ea1b239b71f | 1,656 | #!/bin/bash
live_machines="$(VBoxManage list runningvms)"
#echo $live_machines
if [[ $live_machines =~ .*Centos7_Minimal.* ]]
then
echo "###### Taking down vm for restoration process ######"
VBoxManage controlvm Centos7_Minimal poweroff
fi
sleep 3s
echo -e "\n###### Restoring VM to base snapshot ######"
VBo... |
f943ae4ada35a66b1f337dc51dc879a442d20cc2 | 69 | PORT=
NODE_ENV=
S3_BUCKET=
AWS_ACCESS_KEY_ID=
AWS_SECRET_ACCESS_KEY= |
f1e0a785f28c935e2c3848ebb75e661e96d56a9b | 94 | #!/bin/sh
#
# autobuild
libtoolize -c
aclocal
autoheader
autoconf
automake -a -c
|
ca64059e18cee32b7af3388c7359c6c7bec99c10 | 138 | #!/bin/bash
grunt build $1
read -p "Press [Enter] to continue..."
grunt test $1
read -p "Press [Enter] to continue..."
grunt release $1
|
180966ff80e2daaa6c5c5e4546a7a03cc90f5652 | 55 | #!/bin/sh
docker-compose stop && docker-compose rm -f
|
daa1b95b55a46063679598418874d32498264feb | 1,057 | #!/bin/bash
# JSON Uglifier - Remove whitespaces from JSON document.
# Copyright (C) 2008-2015 Richard Huang <rickypc@users.noreply.github.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Fr... |
3fcb1c9aff8549d4ee4ab96ca982ad481cd6a232 | 1,707 | #!/bin/sh
CONF="/etc/config/qpkg.conf"
CONTAINER_STATION_NAME="container-station"
CONTAINER_STATION_PATH=$(/sbin/getcfg $CONTAINER_STATION_NAME Install_Path -f $CONF)
mountlocaltime=" -v /etc/localtime:/etc/localtime"
SYSTEM_MOUNT=" -v /etc/qbus:/etc/qbus -v $CONTAINER_STATION_PATH/usr/bin/.libs/qbus:/bin/qbus -v /va... |
dbfe8c1d1e9a290a573b12d9140758c1f0e7b046 | 1,753 | #!/bin/sh
# You have to execute this script ONLY ONCE.
# This script does the following things:
# 1. Fetch this repo
# 2. Install basic dependencies
set -eu
DOTPATH=${HOME}/dotfiles
REPO_URL=https://github.com/magurotuna/dotfiles.git
REPO_TARBALL=https://github.com/magurotuna/dotfiles/archive/master.tar.gz
function... |
be52d9459d61ca27d66d9e8ed179450149672588 | 396 | #!/bin/bash
set -u
set -o pipefail
# Try to ensure we have config first
$SNAP/bin/sentry config list >/dev/null
if [ $? -ne 0 ]; then
echo "Sentry is not initialised yet, so there is no need to migrate the database."
echo "Exiting and allowing the refresh to continue as normal."
exit 0
fi
echo "Migrating ... |
7f21db6c5397544f7fc02353e185bba48b8fdd6d | 3,378 | #!/usr/bin/env bash
#
# unit test for helper for building the README.md
#
source ../build_doc.sh
output_split_lines() {
local oldIFS=$IFS
IFS=$'\n'
local i=0
local l
for l in $output
do
lines[$i]=$l
i=$((i+1))
done
IFS=$oldIFS
}
setup() {
# https://github.com/docopt/docopts/issues/39
if ... |
a2bd125a7b17369582fb4ca9ad055612fed7bc80 | 68 | HOSTNAME=$(shell hostname)
VOLUME_DIR=/mnt/gv0/volumes
DNS=10.0.0.1
|
123435a8b4bf16a9afa801f91f765049ea23ef04 | 226 | #!/bin/bash
if [ $1 == true ]; then
if ! [ -d $HOME/EAA/backups ]; then
mkdir $HOME/EAA/backups
fi
tar czf week4backup.tar.gz $HOME/EAA/week4
mv week4backup.tar.gz $HOME/EAA/backups
else
tar -xzvf week4backup.tar.gz
fi
|
36e7bcfa2b07210d796e7793113c0379a4894f50 | 1,128 | #!/bin/bash
# needed variables taken from environment
TOKEN=${PLUGIN_TOKEN}
CONTAINER=${PLUGIN_CONTAINER}
APP=${PLUGIN_APP}
# will be used to release app to heroku
PAYLOAD='{
"updates": [
{
"type": "web",
"docker_image": "IMAGE_ID_TO_REPLACE"
}
]
}'
echo "using Container=${CONTAINER}"
echo "u... |
04961af839749f7d7cad576c4918fe7c75b29ada | 492 | # -*- mode: sh -*-
Z=~/.zsh
# language options
setopt function_argzero
# module / dependency loading
# require: load & initialize a separate module
# provide: mark the module as loaded (if it does not provide an eponym function)
function require() { for name ($*) autoload -Uz $name && $name; }
function provide() { fo... |
10b1a6ad5086232e05bccac702906b18aa3e84c6 | 2,208 | #!/bin/bash
usage(){
echo 'Usage: git ls [-h | --help] [-b | --batch | -c | --color] [-a | --all] [[--] directory]'
}
dotfiles=0
colors=1
formatting=1
while :
do
case "$1" in
--help|-h)
usage
exit 0
;;
-a|-A|-all)
shift
dotfiles=1
;;
-c|-C|--colo... |
22e62797da7bc26c707908d9aaae6869f8837115 | 134 | #!/bin/bash
script_dir=`dirname $0`
snapshot_prefix='sysctl.conf.'
/bin/ls -1 ${snapshot_prefix}* | sed "s/^.*${snapshot_prefix}//"
|
05d73da8f622a43e14d655252e5d2c1052724431 | 4,178 | #!/bin/bash
project="dst-admin" # 项目名称
sys=$(uname -s) # 操作系统
machine=$(uname -m) # 架构版本
darwin_steamcmd_link="https://steamcdn-a.akamaihd.net/client/installer/steamcmd_osx.tar.gz"
linux_steamcmd_link="https://steamcdn-a.akamaihd.net/client/installer/steamcmd_linux.tar.gz"
# 创建Linux服务器环境
create() {
... |
e169d4605b2506b5181a3217d86964f7f9322a09 | 202 | #!/bin/bash
if [ -n "$1" ] && [ "$1" == "-task" ];
then
echo "Задание"
echo "77. Удалить все пустые строки в конце файла"
echo
echo
fi
sed '/^$/d' file.txt |
2d9ef700bf7f4016ac464a5a20dbb9da1e462fe2 | 1,987 | #!/bin/bash
HADOOP_HOME="/opt/hadoop"
HADOOP_SBIN_DIR="/opt/hadoop/sbin"
HADOOP_CONF_DIR="/opt/hadoop/etc/hadoop"
YARN_CONF_DIR="/opt/hadoop/etc/hadoop"
. "/root/.bashrc"
if [ "$HOSTNAME_MASTER" != "" ]; then
sed "s/HOSTNAME/$HOSTNAME_MASTER/" /opt/hadoop/etc/hadoop/core-site.xml.template > /opt/hadoop/etc/hadoop/co... |
1e5a77e58a74f65c192dd85bf31f848517a87585 | 1,198 | #!/usr/bin/env bash
IMAGE_ROOT_TRAIN=../vehicle-triplet-reid/VRIC/train_images ; shift
IMAGE_ROOT_TEST=../vehicle-triplet-reid/VeRi_with_plate/image_test; shift
INIT_CHECKPT=./pre_trained_model/resnet_v1_101.ckpt ; shift
EXP_ROOT=./experiments/VRIC_resnet101_test ; shift
python train_usevalidation.py \
--train_s... |
fd3f8f3e81e04d6a027cfc5f5df0d964a0d920e5 | 665 | # Maintainer: Ainola
# Contributor: Vinícius dos Santos Oliveira
pkgname=gnomato
pkgver=1.1.0
pkgrel=1
pkgdesc="A timer for Pomodoro Technique"
arch=(i686 x86_64)
url="https://github.com/diegorubin/gnomato"
license=('GPL3')
depends=('gtkmm3' 'libnotify' 'boost-libs' 'python2')
makedepends=('intltool' 'gettext' 'boost'... |
744e0bf43b9e8513fbd16f14eea3954239a37243 | 101 | #!/bin/bash
mkdir arches
mkdir data
mkdir embeddings
mkdir param_json
mkdir runs
mkdir scheduled_hp
|
123d0977765931e55d25b1256dbdd9d83b3ac20d | 775 | #!/bin/bash
# Check flag item variables to make sure that they are set
getopts_validate() {
if [ -z "$HOST" ] || [ -z "$TOKEN" ] || [ -z "$FILENAME" ]; then
if [ -z "$HOST" ]; then
echo "Missing -h <closedstack url>"
echo "summon.sh -h <url> -t <closedstack api token> -f <path to server list file>"
... |
6fbece084ea2a1e823aad033ad7d3218464ea411 | 103 | #!/bin/bash
rm -rf /tmp/hadoop1207*
for i in {65..85}
do
ssh node0$i "rm -rf /tmp/hadoop1207*"
done |
93d8ab257556e53fff608defb1070e07a6667a7c | 4,197 | #!/bin/bash
echo ""
echo "Applying migration SponsoringOrganisationDetails"
echo "Adding routes to conf/app.routes"
echo "" >> ../conf/app.routes
echo "GET /:srn/new-return/sponsoringOrganisationDetails controllers.chargeC.SponsoringOrganisationDetailsController.onPageLoad(mode: Mode = ... |
bb20e58bd3b75662ae68ce806326d4e969105297 | 165 | #!/bin/bash
eye "$@" --tactic limited-answer 1 --n3 http://josd.github.io/eye/reasoning/fib/fib.n3 --query http://josd.github.io/eye/reasoning/fib/fibQ.n3 > fibE.n3
|
2d527a00a5713d8fa81ad61dee5aa65dd80c48b9 | 148 | PROJECT_DIR=/home/pi/display-app
exec python $PROJECT_DIR/display-enviro.py >> $PROJECT_DIR/logs.log &
echo "kill -9 $!" > $PROJECT_DIR/shutdown.sh
|
701d0fcbccc88d05955b330d0d032ab60c0d213a | 1,608 | ####################################################################
#Script Details:- This script for user managment activity #
#Auther:- Ravindra Kudache Date:- 21-08-20 #
####################################################################
echo "Please select one of the codition
... |
a1f6ed25ce7fbd78feeb9eef90a60fcf64c08876 | 237 | #!/bin/bash
#builds and configures Gorda java-components
#TODO: First, compile and install the gapi-components
#THEN sed the pom.xml of postgresql-component to point to 0.5-SNAPSHOT of gapi
#THEN compile and install postgresql-component |
2abf83fb982c2ef9672a2b515d4d70522ff96828 | 572 | #!/bin/sh
cat > ./src/db/migrations/$(date +"%Y%m%d%H%M%S")-$1.js << EOF
// @ts-check
/**
* @param {import('sequelize').QueryInterface} queryInterface
* @param {import('sequelize').SequelizeStatic} Sequelize
*/
module.exports.up = (queryInterface, Sequelize) => {
// Write migration code here.
};
/**
* @param {i... |
c82bef51db72f453f69386a18a57d862d0b96bac | 142 | #!/bin/bash
# percy snapshot public --snapshots_regex="(components\/preview.).*\.html$" --enable_javascript --trace --widths "375,1024,1280"
|
c4d3b5ad62a3159da7d15354c95dcc7d386804f8 | 513 | # Maintainer: Chris Warrick <aur@chriswarrick.com>
pkgname=ob-autostart
pkgver=1
pkgrel=3
pkgdesc="A simple autostart application for Openbox"
arch=('any')
url="http://crunchbanglinux.org/forums/topic/2614/"
license=('GPL2')
depends=('python' 'pygtk')
#optdepends=('python-notify')
source=('ob-autostart') #from http://... |
10cb74c47e357a7f12cd3df6da49349c00cf2246 | 511 | #!/bin/bash
echo 'The following "npm" command builds your Node.js/React application for'
echo 'production in the local "build" directory (i.e. within the appropriate'
echo 'subdirectory of "/var/jenkins_home/workspace/"), correctly bundles React'
echo 'in production mode and optimizes the build for the best performance... |
28422df399379d841558a39340baa98e44ac2cc8 | 118 | #!/bin/bash
echo "CheckStream"
pidof='pidof vlc' if [[ -z $pidof ]]
then
exit
else
/home/pi/Script/Stream.sh fi
exit
|
d4fab129262037671aabf437192082961aa0e2d5 | 917 | #!/bin/bash
cd /Users/luho/Desktop/evolution_analysis/data/cds_seq/
for i in *_code_align.fasta
do
hyphy busted --alignment /Users/luho/Desktop/evolution_analysis/data/cds_seq/$i --tree /Users/luho/Desktop/evolution_analysis/data/tree/${i%_code_align.fasta}_aa_unroot.tre --branches Foreground --srv Yes --output /User... |
1b708af89172b0fa7e87f080ac4129f9d4095c69 | 262 | cmake -B build \
-DCMAKE_C_FLAGS="-msse4.2" \
-DCMAKE_CXX_FLAGS="-msse4.2 -D_LIBCPP_DISABLE_AVAILABILITY" \
-DCMAKE_C_STANDARD=11 \
-DCMAKE_C_STANDARD_REQUIRED=ON \
-DCMAKE_INSTALL_PREFIX=$PREFIX
make -C build VERBOSE=1
make -C build install
|
a3321207a7cad48c99fe8f852c865036ff0a99e2 | 1,275 | # Maintainer: David Grayson <davidegrayson@gmail.com>
_realname=perk
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}-git"
pkgver=r78.f82c537
pkgrel=1
pkgdesc="Portable Executable (PE) Resource Kit (mingw-w64)"
arch=('any')
url="https://github.com/bitcoin/${_realname}"
license=('custom')
ma... |
3a1ed9dbc4b20cbbf9b9c2af9aad01c7177728de | 135 | #!/bin/bash
export NODE_PATH=$NODE_PATH:.
if [ -z $1 ];
then mocha --recursive --bail tests;
else
mocha --recursive --bail $1;
fi;
|
eb1b5bbd7768a30ce5c9de99bb30e9ac2c4f6f54 | 64 | #!/bin/sh
# dokku
alias dokku='bash $HOME/bin/dokku_client.sh'
|
6f09bcfdb2499f58dd456fc46078bc42465c8d78 | 1,115 | #!/bin/sh
#Script para configuracao da placa de rede local manual
ifconfig #Usado para listar as interfaces disponiveis
echo
read -p "Qual interface de rede deseja configurar? " INTF #Seta qual interface será configurada
echo
read -p "Informe o IP destinado ao host EX(192.168.1.25): " IP #Armazena qual IP será atribu... |
cf246a9085377c4ca37f0a9aba7297d43f7afa96 | 674 | #!/usr/bin/env bash
set -euo pipefail
IFS=$'\n\t'
DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)"
TARGET="${1:-}"
DOTFILES=$(find ${TARGET}/ -type f -name '.*' -not -name .DS_Store -not -name .git -not -name .gitignore -not -name .dotfiles | sed -e 's|//|/|' | sed -e 's|./.|.|')
source $DIR/utils... |
f4706f43025fdb17e8b7bc4e8e89662e277f8edb | 655 | #!/usr/bin/env bash
# shellcheck disable=SC2164
cd "$(dirname "${BASH_SOURCE[0]}")"
# Upload all packages to a Nexus3 server, with a raw repository named 'gradle-distribution
NEXUS_SERVER="${NEXUS_SERVER:-127.0.0.1}"
NEXUS_RAW_REPO="${NEXUS_RAW_REPO:-gradle-distribution}"
DIST_DIR="${1:-build/distributions}"
for file i... |
0e6b664719cc488a561ba444c0d4293810123d2c | 57 | #! /bin/bash
cd /home/pi/atten
nohup python ./atten.py &
|
bc43e88e357dc64194bcf9b044ba9d80c69ce38b | 4,485 | #!/bin/bash
# Settings
cwd=$(pwd)
# functions for text formatting
info () {
printf " [ \033[00;34m..\033[0m ] $1"
}
user () {
printf "\r [ \033[0;33m?\033[0m ] $1 "
}
success () {
printf "\r\033[2K [ \033[00;32mOK\033[0m ] $1\n"
}
fail () {
printf "\r\033[2K [\033[0;31mFAIL\033[0m] $1\n"
echo ''
exit
... |
4a6a97bff8833d137a9e3e5b910992baf2e1c79e | 453 | APP_NAME=Lumen
APP_ENV=local
APP_KEY=
APP_DEBUG=true
APP_URL=http://localhost
APP_TIMEZONE=UTC
LOG_CHANNEL=stack
LOG_SLACK_WEBHOOK_URL=
DB_CONNECTION=mysql
DB_HOST=127.0.0.1
DB_PORT=3306
DB_DATABASE=
DB_USERNAME=
DB_PASSWORD=
CACHE_DRIVER=file
QUEUE_CONNECTION=sync
JWT_SECRET=secret
MAIL_DRIVER=smtp
MAIL_HOST=
MAIL... |
f9115ec9223d0c20c0640667b3ff267941509a5a | 289 | #!/bin/sh
cd /usr/src/app
if [[ ! -e /installed ]]; then
touch /installed
echo "Not installed yet, run init scripts"
echo "Database (ecto) create & migrate"
mix ecto.create && mix ecto.migrate
echo "Run tests"
mix test
fi
exec mix phx.server "$@"
|
97e62e5de4c04c74df1080bd529ddef46c73c1ce | 2,185 | #!/bin/bash
set -e
WL_HOME=/opt/weblogic/wlserver
# See if WebLogic domain already exists.
if [ ! -d "/srv/weblogic/$WEBLOGIC_DOMAIN/config" ]; then
# It does not. Create it.
# Find or generate domain admin password.
if [ -z "$WEBLOGIC_PWD" ]; then
if [ -f /run/secrets/weblogic_admin_password ]; ... |
36931c3de7c6d9cb84c07be3e2cc0ca40f84d3e6 | 143 | curl https://raw.githubusercontent.com/monperrus/crawler-user-agents/master/crawler-user-agents.json > tests/fixtures/crawler-user-agents.json
|
8dcc007ac005de5724e8313b509ba446db4eb84a | 517 | #!/bin/bash
today_date=$(date -u +"%Y-%m-%d")
today_ts=$(date -d $today_date +%s)
goaccess <(cat website_on_caddy.log | jq --raw-output '
.request.remote_addr |= .[:-6] |
select(.request.remote_addr != "1.2.3.4") |
select(.ts >= '$today_ts') |
[
.common_log,
.request.headers.Referer[0] // "... |
3aaa24e71548b80796dabbc932f412f9a84c1963 | 2,433 | #!/bin/bash
export _gbtproject_=`pwd`
export LD_LIBRARY_PATH=/opt/Anaconda3-5.0.1/lib
bin=../bin/xgboost-g++-omp-dense-halftrick-short-splitonnode-fitmem-release
hist=../bin/xgb-latest
tagname=`basename $bin`
echo "run speedup test with tagname=$tagname"
if [ ! -f $bin ]; then
echo "Usage: run-speedup.sh <bin>... |
52c2d44b97fe4f10d2d58952aacd7ae724d536fa | 133 | man() {
local width=$(tput cols)
[[ $width -gt $MANWIDTH ]] && width=$MANWIDTH
env LC_CTYPE=C MANWIDTH=$width man "$@"
}
|
177875c6923bb1eb4ad7e0cd01080483a26b1bd0 | 549 | # compile icsharp (the awb version)
# packages directory needs to be created manually because otehrwise nuget doesnot work
cd /home/condauser/icsharp \
&& . /opt/mono/env.sh \
&& mkdir /home/condauser/icsharp/packages \
&& mono ./.nuget/NuGet.exe restore ./icSharp.sln \
&& xbuild ./iCSharp.sln /property:Configu... |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.